For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a new productgroup account mapping

DEPRECATED use /tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups instead

Add a account number to a specific product group. This account number will be used for all products with the specified vatcode in the specific product group and all children

Required permissions: ACCOUNTING_CONFIG

Deprecated
post
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroup
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body

Create a new account mapping to a product group

accountingConfigUidstringOptionalPattern: ^[A-Za-z0-9-_]+
valuestringRequired

accountNumber

vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
201

Response body containing a accounting config entry

Accounting configs model

accountingConfigsUidstringRequired
configTypestring · enumRequiredPossible values:
keystring · enumRequiredPossible values:
valuestringRequired
vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]*
post/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroup
POST /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroup HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "accountingConfigUid": "text",
  "value": "text",
  "vatCodeUid": "text",
  "productGroupUid": "text"
}
201

Response body containing a accounting config entry

{
  "accountingConfigsUid": "text",
  "configType": "ACCOUNTNUMBER",
  "key": "CUSTOMER",
  "value": "text",
  "vatCodeUid": "text",
  "productGroupUid": "text"
}

Last updated

Was this helpful?